如何在php7.4上安装 ziparchive

我在 centos 7 上运行 Virtuamin,我无法在 php 7.4 上安装 ziparchive,但是当我切换到 php 7.2 时,它可以工作。我需要 php 7.4 才能工作,因为它更快,并且 wordpress 脚本需要 7.3 + 才能有效工作。

我在 centos 7 上运行 Virtuamin,我无法在 php 7.4 上安装 ziparchive,但是当我切换到 php 7.2 时,它可以工作。我需要 php 7.4 才能工作,因为它更快,并且 wordpress 脚本需要 7.3 + 才能有效工作。

12
sudo apt-get install php7.4-zip

这在 Ubuntu 18.04 中工作

3

我在 Debian 9 上,它不附带 PHP7.4,但是如果您从 Sury 添加存储库,则可以安装它。

sudo apt install ca-certificates apt-transport-https
wget -q https://packages.sury.org/php/apt.gpg -O- | sudo apt-key add -
echo "deb https://packages.sury.org/php/ stretch main" | sudo tee /etc/apt/sources.list.d/php.list

在那之后,我成功地运行了这个:

apt install php7.4-zip
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
  php7.4-zip
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 20.5 kB of archives.
After this operation, 94.2 kB of additional disk space will be used.
Get:1 https://packages.sury.org/php stretch/main amd64 php7.4-zip amd64 7.4.7-1+                                                                           0~20200612.18+debian9~1.gbp671911 [20.5 kB]
Fetched 20.5 kB in 0s (149 kB/s)
Selecting previously unselected package php7.4-zip.
(Reading database ... 107553 files and directories currently installed.)
Preparing to unpack .../php7.4-zip_7.4.7-1+0~20200612.18+debian9~1.gbp671911_amd                                                                           64.deb ...
Unpacking php7.4-zip (7.4.7-1+0~20200612.18+debian9~1.gbp671911) ...
Processing triggers for libapache2-mod-php7.4 (7.4.7-1+0~20200612.18+debian9~1.g                                                                           bp671911) ...
Setting up php7.4-zip (7.4.7-1+0~20200612.18+debian9~1.gbp671911) ...
Creating config file /etc/php/7.4/mods-available/zip.ini with new version
Processing triggers for php7.4-fpm (7.4.7-1+0~20200612.18+debian9~1.gbp671911) .                                                                           ..
NOTICE: Not enabling PHP 7.4 FPM by default.
NOTICE: To enable PHP 7.4 FPM in Apache2 do:
NOTICE: a2enmod proxy_fcgi setenvif
NOTICE: a2enconf php7.4-fpm
NOTICE: You are seeing this message because you have apache2 package installed.
Processing triggers for libapache2-mod-php7.4 (7.4.7-1+0~20200612.18+debian9~1.g                                                                           bp671911) ...
Processing triggers for php7.4-cgi (7.4.7-1+0~20200612.18+debian9~1.gbp671911) .                                                                           ..
Processing triggers for php7.4-cli (7.4.7-1+0~20200612.18+debian9~1.gbp671911) .                                                                           ..
3

也许你想看看这个帖子:https://www.cloudbooklet.com/upgrade-php-version-to-php-7-4-on-ubuntu/

基本上,它告诉你:

添加 PHP 7.4 的 PPA 添加具有 PHP 7.4 包和其他所需 PHP 扩展的 ondrej / php。

sudo apt install software-properties-common
sudo add-apt-repository ppa:ondrej/php
sudo apt update

然后,您可以安装扩展

sudo apt install php7.4-zip

或安装所有常用的:

sudo apt install php7.4-common php7.4-mysql php7.4-xml php7.4-xmlrpc php7.4-curl php7.4-gd php7.4-imagick php7.4-cli php7.4-dev php7.4-imap php7.4-mbstring php7.4-opcache php7.4-soap php7.4-zip php7.4-intl -y
2

这是我如何在我的 ubuntu 上安装它:-

对于 PHP

sudo apt-get install php7.0-zip

对于 Centos

You can try: yum install php-pecl-zip.x86_64
Try installing that and enabling it by running: echo "extension=zip.so" >> /etc/php.d/zip.ini

注意:安装上述内容后,请务必重新启动服务器

sudo /etc/init.d/apache2 restart or sudo service nginx restart

本站系公益性非盈利分享网址,本文来自用户投稿,不代表码文网立场,如若转载,请注明出处

(254)
将 yyyy-MM-dd'T'HH:mm:ss.mmm'Z'转换为普通的"HH:mma" 格式
上一篇
nodejs应用程序的弹性 apm中没有数据
下一篇

相关推荐

发表评论

登录 后才能评论

评论列表(19条)